<?php

namespace app\admin\validate\order;

use think\Validate;

class OrderExpressValidate extends Validate
{
    protected $rule = [
        'order_id' => 'require|alphaDash',
        'order_express_type' => 'require|in:自营物流,顺丰速递',
        'order_express_code' => 'require|alphaDash',
        'order_express_city' => 'require',
        'order_express_address' => 'require',
        'order_express_mobile' => 'require|mobile',
        'order_express_telephone' => 'mobile',
        'order_express_person' => 'require',
    ];

    protected $scene = [
        'delivery' => ['order_id', 'order_express_type', 'order_express_code', 'order_express_city', 'order_express_address',
            'order_express_mobile', 'order_express_telephone', 'order_express_person']
    ];
}